import sys,os
import ROOT

#Before running do:
#source /cvmfs/sft.cern.ch/lcg/views/LCG_X/x86_64-slc6-gcc7-opt/setup.sh
#where X is the LCG version, either 94 or 94a

lcg = sys.argv[1] #Choose to match X above

ROOT.gSystem.Load("LCG_%s_lib/libPIDPerfToolsLib.so" % lcg)
ROOT.gSystem.Load("LCG_%s_lib/libPIDPerfToolsDict.so" % lcg)

x = ROOT.RooRealVar("x","x",-5.,5.)

mu = ROOT.RooRealVar("mu","mu",0,-5.,5.)
sigma = ROOT.RooRealVar("sigma","sigma",1.0,0.0,10.0)

pdf = ROOT.RooGaussian("pdf","pdf",x,mu,sigma)

data = pdf.generate(ROOT.RooArgSet(x),10000)

VariableVector = ROOT.std.vector(ROOT.std.pair("string,string"))()
VariableAlias = ROOT.std.pair("string,string")(x.GetName(), x.GetName())
VariableVector.push_back(VariableAlias)

cuts = ""
weight = ""

data_g = ROOT.GenericDataSet("data_g",
							  data,
							  data.get(),
							  VariableVector,
							  "",
							  ""
							  )